Add Promise

This request adds Promises.

   Click here to learn more about this request

If a lender issues a bit of good will towards a customer, they can use Promises to keep track of the customer's end of the deal. Note the following when using this request:

Promises help users keep track of agreements, and they can be automatically fulfilled by a determined set of criteria. They can also be manually edited using the PUT edit promise request to mark them fulfilled.

For an example of how promises work within the UI, take a look at our Promises article.

Database

For information on promises database tables, see the following articles:

Database – Loan Promise Info (loan_promise_entity)

Database – Loan Table (loan_entity)

{
     "Promises": {
          "results": [
               {
                    "dueDate": "2023-07-17",
                    "type": "loanpromise.type.payment",
                    "amount": 100,
                    "subject": "API Demo Promise",
                    "note": "<b>This promise was created via the API! <3</b>"
               }
          ]
     }
}
Path Params
int32
required

This is the ID of the loan.

Body Params
Promises
object
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json